<?php
function ImprimeScript($Formulario,$Cadena,$Accion)
{
echo '<Script languaje="javascript">';
echo 'function Valida(){';
$Vector=explode('|',$Cadena);
$Or=' ';
echo 'if (';
for ($x=0;$x<sizeof($Vector);$x++){
   echo $Or.'(document.'.$Formulario.'.'.$Vector[$x].'.value=="")';
   $Or=' || ';
}
echo '){alert("No ha llenado los campos");}else{';


echo $Formulario.'.Accion.value="'.$Accion.'";';
echo $Formulario.'.submit();';
echo '}}</script>';
}

function FAccesoDenegado($RutaPath)
{  echo'<div align="center"> <p>&nbsp;</p>
      <p><strong>No tiene permitido el acceso a este Módulo del Sistema</strong></p>
    </div>
';
exit();
}

function FInferior($Etiqueta, $limizq, $limder, $tama)
{ 
   echo'<label style="font-style:italic;padding-left:'.$limites.'px;padding-right:'.$limder.'px; text-align:center;width:'.$tama.'px">'.$Etiqueta.'<span>&nbsp&nbsp</span>'.'</label>';
}

function FEtiqueta($Etiqueta,$Opcion)
{ 
  if ($Opcion == '*')
  echo'<label>'.$Etiqueta.'<span class="asterisco">*</span>'.'</label>';
  else
   echo'<label>'.$Etiqueta.'<span>&nbsp&nbsp</span>'.'</label>';
}


function FMensajeScript($Mensaje,$Direccion)
{  echo '<SCRIPT language="JavaScript" type="text/javascript">
           alert ("'.$Mensaje.'") ;';
   if ($Direccion) echo'document.location="'.$Direccion.'";';
 echo'</SCRIPT>';
}

/***************************************************************************************
             Descripción : Imprime el encabezado de las paginas del Sistema.
      Parámetros entrada : $RutaPath = Ruta para accesar a los directorios.
*****************************************************************************************/
function FEncabezado($RutaPath)
{
  echo'
  <html>
  <head>
    <title>Sistema DIF Quintana Roo| Dirección de Informática</title>
    <link rel="stylesheet" href="'.$RutaPath.'Scripts/Estilos.css">
    <SCRIPT language=JavaScript  src="'.$RutaPath.'Scripts/Validaciones.js"></SCRIPT>
  </head>
  <body topmargin="0" leftmargin="0">


  <table width="100%" border="0" cellspacing="0" cellpadding="0">
    <tr>
      <td>

      </td>
    </tr>
</table>     ';
}

function FTitulo($Titulo,$Alineacion)
{ echo'<div align="center"><DIV class=Header>'.$Titulo.'</DIV></div>';
}

function FSubtitulo($Titulo,$Alineacion)
{ echo'<div align="center"><DIV class=Subheader>'.$Titulo.'</DIV></div>';
}

function FPiePagina($RutaPath)
{echo'';

}

function FActualizacion($Tabla,$Clave,$Link)
{
  $CControl="SELECT * FROM ControlUsuarios WHERE Tabla='$Tabla' AND Clave='$Clave' ORDER BY IdControl DESC";
  $ResultControl=mysqli_query($Link,$CControl);
  $RowControl=mysqli_fetch_array($ResultControl);
//echo $CControl."</BR>";
  if ($RowControl)
  {  $CUsuario="SELECT * FROM Usuarios WHERE IdUsuario=".$RowControl["IdUsuario"];
     $ResultUsuario=mysqli_query($Link,$CUsuario);
     $RowUsuario=mysqli_fetch_array($ResultUsuario);
	 //echo $CUsuario."</BR>";
     echo '<font size=1 color="#FF0000"><i>ACTUALIZADO EL '.$RowControl["Fecha"].' A LAS '.$RowControl["Hora"].' HRS. POR EL USUARIO '.$RowUsuario["Nombre"].' ('.$RowUsuario["USUARIO"].') DESDE LA IP '.$RowControl["IP"].'</i></font>';
  }
}

function FEncabezadoNuevo($RutaPath, $img, $arreglo)
{
  $encab = '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
  <html xmlns="http://www.w3.org/1999/xhtml">
  <head>    
    <title>Sistema DIF Quintana Roo| Dirección de Informática</title>';	
	if ($_JQuery == 1)
	$encab.= '<script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script>';
	else
	$encab.= '<script language=JavaScript  src="'.$RutaPath.'Librerias/fancy/lib/jquery.min.js""></script>';
	
	$encab.= '<script language=JavaScript  src="'.$RutaPath.'Scripts/Validaciones.js"></script>';
	$encab.='
	<link rel="stylesheet" href="'.$RutaPath.'Scripts/Estilos.css">';
	 $encab.= $arreglo ;       
  $encab.='</head>
  <body topmargin="0" leftmargin="0">';  
  echo $encab;
}
?>